Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 610574 - media-video/dvdauthor[imagemagick]: compilation fails with >=media-gfx/imagemagick-7.0.1.0
Summary: media-video/dvdauthor[imagemagick]: compilation fails with >=media-gfx/imagem...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: imagemagick-7
  Show dependency tree
 
Reported: 2017-02-22 16:09 UTC by Lars Wendler (Polynomial-C)
Modified: 2017-11-28 08:05 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,25.19 KB, text/plain)
2017-02-22 16:09 UTC, Lars Wendler (Polynomial-C)
Details
test_patch (file_610574.txt,2.17 KB, patch)
2017-11-27 20:06 UTC, Branko Grubic
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Lars Wendler (Polynomial-C) gentoo-dev 2017-02-22 16:09:57 UTC
Created attachment 464728 [details]
build.log

x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I.  -DSYSCONFDIR="\"/etc\"" -I/usr/include/libxml2 -fopenmp -DMAGICKCORE_HDRI_ENABLE=0 -DMAGICKCORE_QUANTUM_DEPTH=16 -I/usr/include/ImageMagick-7 -I/usr/include/freetype2 -I/usr/include/fribidi -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/harfbuzz -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/fribidi -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -Wall -march=native -mtune=native -O2 -pipe -c -o subgen-image.o subgen-image.c
subgen-image.c:33:24: fatal error: magick/api.h: No such file or directory
compilation terminated.
make[2]: *** [Makefile:601: subgen-image.o] Error 1
make[2]: Leaving directory '/var/tmp/portage/media-video/dvdauthor-0.7.2-r1/work/dvdauthor/src'
make[1]: *** [Makefile:412: all] Error 2
make[1]: Leaving directory '/var/tmp/portage/media-video/dvdauthor-0.7.2-r1/work/dvdauthor/src'
make: *** [Makefile:414: all-recursive] Error 1
 * ERROR: media-video/dvdauthor-0.7.2-r1::gentoo failed (compile phase):
 *   emake failed
Comment 1 Lars Wendler (Polynomial-C) gentoo-dev 2017-05-23 09:10:09 UTC
commit 3fc97f728cf9805bf2845d4c7633c0c063d77692 (HEAD -> master, origin/master, origin/HEAD)
Author: Lars Wendler <polynomial-c@gentoo.org>
Date:   Tue May 23 11:09:07 2017

    media-video/dvdauthor: Fixed build with imagemagick-7 (bug #610574).
    
    Package-Manager: Portage-2.3.6, Repoman-2.3.2
Comment 2 Branko Grubic 2017-11-27 20:06:33 UTC
Created attachment 506856 [details, diff]
test_patch

Hello,

I do have issues with using media-video/dvdauthor-0.7.2-r1 on my ~amd64 box.

I'm not using it directly but via kdenlive's dvd wizard, or with devedeng, both return an error:

DVDAuthor::spumux, version 0.7.2.
Build options: gnugetopt imagemagick iconv freetype fribidi fontconfig
Send bug reports to <dvdauthor-users@lists.sourceforge.net>

INFO: default video format is PAL
STAT: 0:00:00.000
spumux: coders/png.c:4199: ReadPNGImage: Assertion `exception->signature == MagickCoreSignature' failed.

I found it on the gentoo forum[1] that someone got it working with graphicsmagick[+imagemagick] instead. I guess that is the second issue with the ebuild that if USE="-imagemagick graphicsmagick" graphicsmagick needs to have +imagemagick, otherwise it fails at linking stage.

I'm not a programmer, but I looked at the patch [2] and upstream issue [3], and thought something is wrong with the patched version to support new imagemagick, it seems that you create new variable and initialize it:

+    ExceptionInfo *exception_info;
+    exception_info = AcquireExceptionInfo();

but actually code never uses it, it uses old variable which is not initialized anymore.

I did adjust your patch (blindly, you know it compiles, but does it do the right thing, I doubt), and it doesn't assert anymore and it seems I got it working, at least it passes the phase where it was breaking before.


[1] https://forums.gentoo.org/viewtopic-p-8091390.html
[2] https://gitweb.gentoo.org/repo/gentoo.git/tree/media-video/dvdauthor/files/dvdauthor-0.7.2-imagemagick7.patch 
[3] https://github.com/ldo/dvdauthor/issues/24
Comment 3 Branko Grubic 2017-11-27 20:18:58 UTC
Just a small update, I was able to successfully create dvd ISO with my test patch applied, menu works fine ..., no asserts or crashes. :-)
Comment 4 Attila Tóth 2017-11-28 07:31:20 UTC
(In reply to Branko Grubic from comment #3)
> Just a small update, I was able to successfully create dvd ISO with my test
> patch applied, menu works fine ..., no asserts or crashes. :-)

Thank you for the fix - although it's a different bug.
Comment 5 Attila Tóth 2017-11-28 08:05:46 UTC
(In reply to Attila Tóth from comment #4)
> (In reply to Branko Grubic from comment #3)
> > Just a small update, I was able to successfully create dvd ISO with my test
> > patch applied, menu works fine ..., no asserts or crashes. :-)
> 
> Thank you for the fix - although it's a different bug.

Same bug, my bad.